---
MainSourceFile:  '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
Diagnostics:
  - DiagnosticName:  clang-diagnostic-error
    DiagnosticMessage:
      Message:         '''dmx_framework.hpp'' file not found'
      FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
      FileOffset:      178
      Replacements:    []
  - DiagnosticName:  cppcoreguidelines-avoid-c-arrays
    DiagnosticMessage:
      Message:         'do not declare C-style arrays, use std::array<> instead'
      FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
      FileOffset:      1083
      Replacements:    []
  - DiagnosticName:  cppcoreguidelines-init-variables
    DiagnosticMessage:
      Message:         'variable ''media'' is not initialized'
      FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
      FileOffset:      1283
      Replacements:
        - FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
          Offset:          1288
          Length:          0
          ReplacementText: ' = 0'
  - DiagnosticName:  cppcoreguidelines-init-variables
    DiagnosticMessage:
      Message:         'variable ''dmx_manager'' is not initialized'
      FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
      FileOffset:      1305
      Replacements:
        - FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
          Offset:          1316
          Length:          0
          ReplacementText: ' = 0'
  - DiagnosticName:  cppcoreguidelines-init-variables
    DiagnosticMessage:
      Message:         'variable ''media_reader'' is not initialized'
      FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
      FileOffset:      1343
      Replacements:
        - FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
          Offset:          1355
          Length:          0
          ReplacementText: ' = 0'
  - DiagnosticName:  cppcoreguidelines-init-variables
    DiagnosticMessage:
      Message:         'variable ''fw'' is not initialized'
      FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
      FileOffset:      1540
      Replacements:
        - FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
          Offset:          1542
          Length:          0
          ReplacementText: ' = 0'
  - DiagnosticName:  cppcoreguidelines-init-variables
    DiagnosticMessage:
      Message:         'variable ''playpath'' is not initialized'
      FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
      FileOffset:      2573
      Replacements:
        - FilePath:        '/home/zosia/BP/medienserver/local_app/core/src/main.cpp'
          Offset:          2581
          Length:          0
          ReplacementText: ' = 0'
...
